// this class has been automaticaly generated based on KSY file
// @see Josast project

package  org.josast.influxdb.UVSQSAT ;
import java.util.concurrent.TimeUnit; 
import org.influxdb.dto.BatchPoints;
import org.influxdb.dto.Point; 
import org.josast.influxdb.AbstractInflux; 
import org.josast.uvsqsat.generated.Uvsqsat.MainboardAllScience;
public class idbmainboardAllScience extends AbstractInflux { 
	public void addFrame (MainboardAllScience o , String source, long time) 	
	{	
			BatchPoints batchPoints = BatchPoints
					  .database(databasename)
					  .build();
		Point point0 = Point.measurement("mainboardScienceTimeRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.mainboardScienceTimeRaw() )
		.build(); 
		batchPoints.point(point0);
		Point point1 = Point.measurement("teachWearOnRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachWearOnRaw() )
		.build(); 
		batchPoints.point(point1);
		Point point2 = Point.measurement("frequenceOfAcquisitionsRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.frequenceOfAcquisitionsRaw() )
		.build(); 
		batchPoints.point(point2);
		Point point3 = Point.measurement("gainRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.gainRaw() )
		.build(); 
		batchPoints.point(point3);
		Point point4 = Point.measurement("numberOfAcquisitionCommandedRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.numberOfAcquisitionCommandedRaw() )
		.build(); 
		batchPoints.point(point4);
		Point point5 = Point.measurement("numberOfRealAcquisitionRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.numberOfRealAcquisitionRaw() )
		.build(); 
		batchPoints.point(point5);
		Point point6 = Point.measurement("hkPlus5vRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkPlus5vRaw() )
		.build(); 
		batchPoints.point(point6);
		Point point7 = Point.measurement("hkMinus5vRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkMinus5vRaw() )
		.build(); 
		batchPoints.point(point7);
		Point point8 = Point.measurement("hkMinus5vPolarRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkMinus5vPolarRaw() )
		.build(); 
		batchPoints.point(point8);
		Point point9 = Point.measurement("hkTempAdcRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkTempAdcRaw() )
		.build(); 
		batchPoints.point(point9);
		Point point10 = Point.measurement("hkFeePlusXVrefRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkFeePlusXVrefRaw() )
		.build(); 
		batchPoints.point(point10);
		Point point11 = Point.measurement("hkFeeMinusXVrefRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkFeeMinusXVrefRaw() )
		.build(); 
		batchPoints.point(point11);
		Point point12 = Point.measurement("hkFeePlusYVrefRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkFeePlusYVrefRaw() )
		.build(); 
		batchPoints.point(point12);
		Point point13 = Point.measurement("hkFeeMinusYVrefRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.hkFeeMinusYVrefRaw() )
		.build(); 
		batchPoints.point(point13);
		Point point14 = Point.measurement("feePlusXErs1SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusXErs1SignalRaw() )
		.build(); 
		batchPoints.point(point14);
		Point point15 = Point.measurement("feePlusXErs1TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusXErs1TemperatureRaw() )
		.build(); 
		batchPoints.point(point15);
		Point point16 = Point.measurement("feePlusXErs2SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusXErs2SignalRaw() )
		.build(); 
		batchPoints.point(point16);
		Point point17 = Point.measurement("feePlusXErs2TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusXErs2TemperatureRaw() )
		.build(); 
		batchPoints.point(point17);
		Point point18 = Point.measurement("feePlusXErs3SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusXErs3SignalRaw() )
		.build(); 
		batchPoints.point(point18);
		Point point19 = Point.measurement("feePlusXErs3TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusXErs3TemperatureRaw() )
		.build(); 
		batchPoints.point(point19);
		Point point20 = Point.measurement("feePlusXUvsSignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusXUvsSignalRaw() )
		.build(); 
		batchPoints.point(point20);
		Point point21 = Point.measurement("feeMinusXErs1SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusXErs1SignalRaw() )
		.build(); 
		batchPoints.point(point21);
		Point point22 = Point.measurement("feeMinusXErs1TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusXErs1TemperatureRaw() )
		.build(); 
		batchPoints.point(point22);
		Point point23 = Point.measurement("feeMinusXErs2SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusXErs2SignalRaw() )
		.build(); 
		batchPoints.point(point23);
		Point point24 = Point.measurement("feeMinusXErs2TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusXErs2TemperatureRaw() )
		.build(); 
		batchPoints.point(point24);
		Point point25 = Point.measurement("feeMinusXErs3SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusXErs3SignalRaw() )
		.build(); 
		batchPoints.point(point25);
		Point point26 = Point.measurement("feeMinusXErs3TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusXErs3TemperatureRaw() )
		.build(); 
		batchPoints.point(point26);
		Point point27 = Point.measurement("feeMinusXUvsSignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusXUvsSignalRaw() )
		.build(); 
		batchPoints.point(point27);
		Point point28 = Point.measurement("feePlusYErs1SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusYErs1SignalRaw() )
		.build(); 
		batchPoints.point(point28);
		Point point29 = Point.measurement("feePlusYErs1TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusYErs1TemperatureRaw() )
		.build(); 
		batchPoints.point(point29);
		Point point30 = Point.measurement("feePlusYErs2SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusYErs2SignalRaw() )
		.build(); 
		batchPoints.point(point30);
		Point point31 = Point.measurement("feePlusYErs2TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusYErs2TemperatureRaw() )
		.build(); 
		batchPoints.point(point31);
		Point point32 = Point.measurement("feePlusYErs3SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusYErs3SignalRaw() )
		.build(); 
		batchPoints.point(point32);
		Point point33 = Point.measurement("feePlusYErs3TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusYErs3TemperatureRaw() )
		.build(); 
		batchPoints.point(point33);
		Point point34 = Point.measurement("feePlusYUvsSignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feePlusYUvsSignalRaw() )
		.build(); 
		batchPoints.point(point34);
		Point point35 = Point.measurement("feeMinusYErs1SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusYErs1SignalRaw() )
		.build(); 
		batchPoints.point(point35);
		Point point36 = Point.measurement("feeMinusYErs1TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusYErs1TemperatureRaw() )
		.build(); 
		batchPoints.point(point36);
		Point point37 = Point.measurement("feeMinusYErs2SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusYErs2SignalRaw() )
		.build(); 
		batchPoints.point(point37);
		Point point38 = Point.measurement("feeMinusYErs2TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusYErs2TemperatureRaw() )
		.build(); 
		batchPoints.point(point38);
		Point point39 = Point.measurement("feeMinusYErs3SignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusYErs3SignalRaw() )
		.build(); 
		batchPoints.point(point39);
		Point point40 = Point.measurement("feeMinusYErs3TemperatureRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusYErs3TemperatureRaw() )
		.build(); 
		batchPoints.point(point40);
		Point point41 = Point.measurement("feeMinusYUvsSignalRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.feeMinusYUvsSignalRaw() )
		.build(); 
		batchPoints.point(point41);
		Point point42 = Point.measurement("teachwearAccXRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearAccXRaw() )
		.build(); 
		batchPoints.point(point42);
		Point point43 = Point.measurement("teachwearAccYRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearAccYRaw() )
		.build(); 
		batchPoints.point(point43);
		Point point44 = Point.measurement("teachwearAccZRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearAccZRaw() )
		.build(); 
		batchPoints.point(point44);
		Point point45 = Point.measurement("teachwearDegCRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearDegCRaw() )
		.build(); 
		batchPoints.point(point45);
		Point point46 = Point.measurement("teachwearGyroXRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearGyroXRaw() )
		.build(); 
		batchPoints.point(point46);
		Point point47 = Point.measurement("teachwearGyroYRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearGyroYRaw() )
		.build(); 
		batchPoints.point(point47);
		Point point48 = Point.measurement("teachwearGyroZRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearGyroZRaw() )
		.build(); 
		batchPoints.point(point48);
		Point point49 = Point.measurement("teachwearMagnXRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearMagnXRaw() )
		.build(); 
		batchPoints.point(point49);
		Point point50 = Point.measurement("teachwearMagnYRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearMagnYRaw() )
		.build(); 
		batchPoints.point(point50);
		Point point51 = Point.measurement("teachwearMagnZRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearMagnZRaw() )
		.build(); 
		batchPoints.point(point51);
		Point point52 = Point.measurement("teachwearStateRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearStateRaw() )
		.build(); 
		batchPoints.point(point52);
		Point point53 = Point.measurement("teachwearResetReasonRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearResetReasonRaw() )
		.build(); 
		batchPoints.point(point53);
		Point point54 = Point.measurement("teachwearCRCRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.teachwearCRCRaw() )
		.build(); 
		batchPoints.point(point54);
		Point point55 = Point.measurement("nbTmSinceFirstStartRaw") 
		.time(time, TimeUnit.MILLISECONDS) 
		.addField("value", o.nbTmSinceFirstStartRaw() )
		.build(); 
		batchPoints.point(point55);
influxDB.write(batchPoints); 
}
}
